<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="horizontal">

    <FrameLayout
        android:layout_width="54dp"
        android:layout_height="54dp"
        android:layout_marginVertical="8dp"
        android:layout_marginStart="16dp"
        android:gravity="center"
        tools:ignore="UselessParent">

        <de.hdodenhof.circleimageview.CircleImageView
            android:id="@+id/iv_avatar"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:src="@mipmap/logo"
            android:visibility="gone"
            app:civ_border_color="#33000000"
            app:civ_border_width="1dp"
            tools:ignore="ContentDescription" />

        <TextView
            android:id="@+id/tv_name_letters"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@drawable/bg_circle_ff8271"
            android:gravity="center"
            android:textColor="@color/white"
            android:textSize="20sp"
            android:textStyle="bold"
            tools:text="V" />

    </FrameLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_gravity="center_vertical"
        android:layout_marginStart="8dp"
        android:layout_marginEnd="24dp"
        android:layout_weight="1"
        android:orientation="vertical">

        <TextView
            android:id="@+id/tv_name_code"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:ellipsize="end"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:textColor="#001725"
            android:textSize="16sp"
            android:textStyle="bold"
            app:layout_constraintEnd_toStartOf="@id/tv_time"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="V0OC3RJK" />

        <TextView
            android:id="@+id/tv_time"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="8dp"
            android:includeFontPadding="false"
            android:textColor="#81888D"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="@id/tv_name_code"
            app:layout_constraintEnd_toStartOf="@id/iv_power"
            app:layout_constraintStart_toEndOf="@id/tv_name_code"
            app:layout_constraintTop_toTopOf="@id/tv_name_code"
            tools:text="20:27" />

        <ImageView
            android:id="@+id/iv_power"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@mipmap/dianchi1"
            app:layout_constraintBottom_toBottomOf="@id/tv_name_code"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/tv_time"
            app:layout_constraintTop_toTopOf="@id/tv_name_code"
            tools:ignore="ContentDescription" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <ImageView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_vertical"
        android:layout_marginEnd="18dp"
        android:src="@mipmap/shoucang_n"
        tools:ignore="ContentDescription" />


    <ImageView
        android:id="@+id/iv_more"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_vertical"
        android:layout_marginEnd="16dp"
        android:src="@mipmap/gengduo_viwer"
        tools:ignore="ContentDescription" />

</LinearLayout>